---
title: "Complete multipart video selfie upload"
url: "https://developer.incode.com/api-reference/video-selfie-upload-complete/"
section: "api-reference"
group: "Video selfie"
version: "v1.1"
status: "live"
endpoint: "POST /omni/video-selfie/upload/complete"
---
# Complete multipart video selfie upload

`POST /omni/video-selfie/upload/complete`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Signal that all chunks have been uploaded.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `uploadId` | string | yes |  |
| `parts` | array[PartInfo] |  |  |
| `parts.partNumber` | integer (int32) | yes |  |
| `parts.eTag` | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | string |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/video-selfie/upload/complete \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "uploadId": "",
    "parts": [],
    "parts.partNumber": 0,
    "parts.eTag": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/video-selfie/upload/complete", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "uploadId": "",
      "parts": [],
      "parts.partNumber": 0,
      "parts.eTag": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/video-selfie/upload/complete", headers=headers, json={
  "uploadId": "",
  "parts": [],
  "parts.partNumber": 0,
  "parts.eTag": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/video-selfie/upload/complete"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"uploadId\": \"\",\n  \"parts\": [],\n  \"parts.partNumber\": 0,\n  \"parts.eTag\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
